Bug 996133 - misleading and useless error message
Summary: misleading and useless error message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: systemd-RFE 1039209
TreeView+ depends on / blocked
 
Reported: 2013-08-12 13:29 UTC by Marco Bill-Peter
Modified: 2014-07-22 03:30 UTC (History)
8 users (show)

Fixed In Version: systemd-208-20.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 997082 1039209 (view as bug list)
Environment:
Last Closed: 2014-07-22 03:30:33 UTC


Attachments (Terms of Use)

Description Marco Bill-Peter 2013-08-12 13:29:28 UTC
Description of problem:

When restarting a service, the systemctl command throws a misleading and useless error message. For example

[marcobillpeter@dhcp145-26 cups]$ sudo systemctl restart cupsd
Failed to issue method call: Unit cupsd.service failed to load: No such file or directory. See system logs and 'systemctl status cupsd.service' for details.

Version-Release number of selected component (if applicable):


How reproducible:

always, just misspell service name

Steps to Reproduce:
1. [marcobillpeter@dhcp145-26 cups]$ sudo systemctl restart cupsd
Failed to issue method call: Unit cupsd.service failed to load: No such file or directory. See system logs and 'systemctl status cupsd.service' for details.


Actual results:

Failed to issue method call: Unit cupsd.service failed to load: No such file or directory. See system logs and 'systemctl status cupsd.service' for details.

Expected results:

An error message saying that the service name is unknown and show the syntax to list all known services (which will help an enduser

Additional info:

Comment 1 Fedora End Of Life 2013-12-21 14:28:08 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-06-22 19:33:32 UTC
http://cgit.freedesktop.org/systemd/systemd/commit/?id=04ef5b03

Comment 3 Fedora Update System 2014-07-20 00:39:58 UTC
systemd-208-20.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-20.fc20

Comment 4 Fedora Update System 2014-07-21 05:22:01 UTC
Package systemd-208-20.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-20.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8572/systemd-208-20.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-22 03:30:33 UTC
systemd-208-20.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.